com.io7m.jstructural.annotated

## Class SAFormalItemsByKind

- java.lang.Object
- - com.io7m.jstructural.annotated.SAFormalItemsByKind

- All Implemented Interfaces:
    SAFormalItemsByKindReadable, SAFormalItemsByKindWritable

      @Immutable
      public final class SAFormalItemsByKind
      extends Object
      implements SAFormalItemsByKindReadable, SAFormalItemsByKindWritable

  The set of formal items organized by kind.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAFormalItemsByKind(com.io7m.jlog.LogUsableType in_log)` Construct a new empty map.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SortedMap<SAFormalItemNumber,SAFormalItem>` | `get(String kind)` Retrieve the set of formal items that are of the given kind.
    `void` | `put(String kind, SAFormalItem item)` Remember that the given formal item is of the given kind.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAFormalItemsByKind

          public SAFormalItemsByKind(com.io7m.jlog.LogUsableType in_log)

      Construct a new empty map.
      Parameters:
        `in_log` - A log handle

  - ### Method Detail

    - #### get

          public SortedMap<SAFormalItemNumber,SAFormalItem> get(String kind)

      Description copied from interface: `SAFormalItemsByKindReadable`
      Retrieve the set of formal items that are of the given kind.
      Specified by:
        `get` in interface `SAFormalItemsByKindReadable`
      Parameters:
        `kind` - The kind
      Returns:
        The associated set of formal items

    - #### put

          public void put(String kind,
                          SAFormalItem item)

      Description copied from interface: `SAFormalItemsByKindWritable`
      Remember that the given formal item is of the given kind.
      Specified by:
        `put` in interface `SAFormalItemsByKindWritable`
      Parameters:
        `kind` - The kind
        `item` - The formal item

Copyright © 2015 <code@io7m.com> http://io7m.com